# Dominik Nagy

*Rok začiatku štúdia*: 2016

## Diplomový projekt 1 2020

Literatúra:

[Neural Network Methods for Natural Language Processing](https://www.morganclaypool.com/doi/abs/10.2200/S00762ED1V01Y201703HLT037)

Úlohy na semester:

- Získať a pripraviť slovenský paralelný korpus pre preklad do angličtiny a češtiny
- Natrénovať a vyhodnotiť Fairseq Model

Virtuálne stretnutie 14.5.2020:

Urobené: rozbehaný tutoriál fairseq pre trénovanie nemecko anglických dát

Úlohy na ďalšie stretnutie:

- pozrieť a pripraviť česko-slovenský paralelný korpus, natrénovať a vyhodnotiť model
- pozrieť a pripraviť anglicko-slovenský paralelný korpus, natrénovať a vyhodnotiť model
 

Stretnutie 6.3.2020.

Úloha na ďalšie stretnutie:

- spustiť Trénovanie Fairseq na idoc
- Pozrieť dostupné [jazykové zdroje](/topics/resources)
- Pozrieť článok [fairseq: A Fast, Extensible Toolkit for Sequence Modeling](https://www.aclweb.org/anthology/N19-4009/)
- Pozrieť prístup a článok https://github.com/pytorch/fairseq/blob/master/examples/joint_alignment_translation/README.md

## Diplomová práca 2021

*Názov diplomovej práce*: Prepis postupností pomocou neurónových sietí pre strojový preklad

*Meno vedúceho*: Ing. Daniel Hládek, PhD.

*Zadanie diplomovej práce*: 

1. Vypracujte teoretický prehľad metód "sequence to sequence".
2. Pripravte si dátovú množinu na trénovanie modelu sequence to sequence pre úlohu strojového prekladu.
3. Vyberte minimálne dva rôzne modely a porovnajte ich presnosť na vhodnej dátovej množine. 
4. Na základe výsledkov experimentov navrhnite zlepšenia.

## Tímový projekt 2019

*Písomná práca*: [Rešerš na tému "Sequnce to Sequence"](./timovy_projekt/README.md)

*Úlohy tímového projektu*:

- Vypracujte min. 4 stranový rešerš na tému: "Sequence to Sequence" (Encoder-Decoder, seq2seq, transformer, attention)
- citujte min. 10 najvýznamnejších bibliografických zdrojov
- Prečítajte si o [konvolučných sieťach](http://www.wildml.com/2015/11/understanding-convolutional-neural-networks-for-nlp/)
- Prečítajte si Sequence to Sequence Convolutional Neural Network for Automatic Spelling Correction 
- Skúste si nainštalovať nástroj fairseq
- prejdite si tutoriál https://github.com/pytorch/fairseq/blob/master/examples/translation/README.md

### Poznámky

Projektové stránky:

- [Spracovanie prirodzeného jazyka](/topics/nlp)
- [Python](/topics/python)
- [Sequence to Sequence](/topics/seq2seq)

V prípade záujmu je možné pracovať na úlohe strojového prekladu.

Možné trénovacie dáta: https://www.clarin.eu/resource-families/parallel-corpora

